package cn.iocoder.yudao.module.system.dal.mysql.laborcontract;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.MPJLambdaWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.laborcontract.vo.LaborContractPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.laborcontract.vo.LaborContractRespVO;
import cn.iocoder.yudao.module.system.dal.dataobject.laborcontract.LaborContractDO;
import cn.iocoder.yudao.module.system.dal.dataobject.user.AdminUserDO;
import cn.iocoder.yudao.module.system.dal.mysql.user.AdminUserMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import javax.annotation.Resource;
import java.util.List;

/**
 * 劳动合同管理 Mapper
 *
 * @author 符溶馨
 */
@Mapper
public interface LaborContractMapper extends BaseMapperX<LaborContractDO> {

    default List<LaborContractDO> selectHistoryList(Long userId) {

        return selectList(new LambdaQueryWrapperX<LaborContractDO>()
                .eqIfPresent(LaborContractDO::getUserId, userId)
                .orderByDesc(LaborContractDO::getCreateTime));
    }
}